summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-action')
-rw-r--r--games-action/descent1-data/descent1-data-1.4a-r1.ebuild (renamed from games-action/descent1-data/descent1-data-1.4a.ebuild)7
-rw-r--r--games-action/descent2-data/descent2-data-1.2-r1.ebuild (renamed from games-action/descent2-data/descent2-data-1.2.ebuild)19
-rw-r--r--games-action/descent2-vertigo/descent2-vertigo-1.0-r1.ebuild (renamed from games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild)8
-rw-r--r--games-action/dxx-rebirth/Manifest2
-rw-r--r--games-action/dxx-rebirth/dxx-rebirth-0.61.0_pre20240630.ebuild (renamed from games-action/dxx-rebirth/dxx-rebirth-0.61.0_pre20230627.ebuild)6
-rw-r--r--games-action/dxx-rebirth/dxx-rebirth-9999.ebuild4
-rw-r--r--games-action/extreme-tuxracer/Manifest1
-rw-r--r--games-action/extreme-tuxracer/extreme-tuxracer-0.8.4.ebuild38
-rw-r--r--games-action/violetland/files/violetland-0.5-boost1.85.patch8
-rw-r--r--games-action/violetland/violetland-0.5.ebuild6
10 files changed, 75 insertions, 24 deletions
diff --git a/games-action/descent1-data/descent1-data-1.4a.ebuild b/games-action/descent1-data/descent1-data-1.4a-r1.ebuild
index 7fdf077a129e..ea0e2146a883 100644
--- a/games-action/descent1-data/descent1-data-1.4a.ebuild
+++ b/games-action/descent1-data/descent1-data-1.4a-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
CDROM_OPTIONAL="yes"
inherit cdrom estack
@@ -13,6 +13,7 @@ DESCRIPTION="Data files for Descent 1"
HOMEPAGE="https://www.interplay.com"
SRC_URI="cdinstall? ( https://www.dxx-rebirth.com/download/dxx/misc/descent-game-content-10to14a-patch.zip )
!cdinstall? ( ${MY_EXE} )"
+S="${WORKDIR}"
LICENSE="descent-data"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
@@ -24,8 +25,6 @@ RDEPEND="!games-action/descent1-demodata"
DEPEND="cdinstall? ( app-arch/unzip )
!cdinstall? ( app-arch/innoextract )"
-S="${WORKDIR}"
-
pkg_nofetch() {
elog "You must place a copy of, or symlink to, the GOG setup package in your"
elog "distfiles directory."
diff --git a/games-action/descent2-data/descent2-data-1.2.ebuild b/games-action/descent2-data/descent2-data-1.2-r1.ebuild
index cde97c1738f4..8f19d07739b9 100644
--- a/games-action/descent2-data/descent2-data-1.2.ebuild
+++ b/games-action/descent2-data/descent2-data-1.2-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
CDROM_OPTIONAL="yes"
inherit cdrom estack
@@ -17,6 +17,7 @@ DESCRIPTION="Data files for Descent 2"
HOMEPAGE="https://www.interplay.com"
SRC_URI="cdinstall? ( ${MY_PATCH} )
!cdinstall? ( ${MY_EXE} )"
+S="${WORKDIR}"
LICENSE="descent-data"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
@@ -35,8 +36,6 @@ DEPEND="cdinstall? (
app-arch/innoextract
)"
-S="${WORKDIR}"
-
pkg_nofetch() {
elog "You must place a copy of, or symlink to, the GOG setup package in your"
elog "distfiles directory."
@@ -98,10 +97,14 @@ src_prepare() {
# Patch to 1.2 if necessary
if use cdinstall; then
if [[ $(md5sum data/descent2.ham) != 7f30c3d7d4087b8584b49012a53ce022* ]]; then
- local i
- for i in *.xdelta; do
- xdelta3 -d -s data/"${i%.*}" "${i}" data/"${i%.*}".new || die
- mv data/"${i%.*}"{.new,} || die
+ local x dir
+ for x in *.xdelta; do
+ case "${x}" in
+ *.txt.xdelta) dir=doc ;;
+ *) dir=data ;;
+ esac
+ xdelta3 -d -s "${dir}/${x%.*}" "${x}" "${dir}/${x%.*}.new" || die
+ mv "${dir}/${x%.*}"{.new,} || die
done
fi
fi
diff --git a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild b/games-action/descent2-vertigo/descent2-vertigo-1.0-r1.ebuild
index ababa913308d..3c88671110c4 100644
--- a/games-action/descent2-vertigo/descent2-vertigo-1.0.ebuild
+++ b/games-action/descent2-vertigo/descent2-vertigo-1.0-r1.ebuild
@@ -1,21 +1,19 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=8
inherit cdrom estack
DESCRIPTION="Data files for Descent 2: The Vertigo Series"
HOMEPAGE="https://www.interplay.com"
-
+S="${WORKDIR}"
LICENSE="descent-data"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="videos"
RESTRICT="bindist"
-S="${WORKDIR}"
-
src_unpack() {
cdrom_get_cds vertigo/d2x.hog:hoard.ham
diff --git a/games-action/dxx-rebirth/Manifest b/games-action/dxx-rebirth/Manifest
index 23c2db8d1f44..5989b7d25524 100644
--- a/games-action/dxx-rebirth/Manifest
+++ b/games-action/dxx-rebirth/Manifest
@@ -1 +1 @@
-DIST dxx-rebirth-0.61.0_pre20230627.tar.gz 2063584 BLAKE2B d779ec6f4a5491e667675fd960a157f51f19b07d9889c1c0093df45467f671cddc89b965ec578bef556c193d561d6b322b607d9afd9ff940ca39506f3809a227 SHA512 e6c91010d9bf0806c5fcec1bc66423130cd47b79e109c7e0b0d454184cb4aae5915498f2c4f88c8779ed3570878138a1ec4ab5d9a3c64ddf8002173115e4135d
+DIST dxx-rebirth-0.61.0_pre20240630.tar.gz 2090389 BLAKE2B b3a5bfb4c2540cd0eec8f114af1252716ee33adca56d85f56d40296ecdc9a484ffe43befb1885a438b7fd7a284c2a9f7d30c83a336bc106760f28b603a8407e9 SHA512 1ac9fab469e4b41c196e98a95904adb8b9d5dfbd724e419776df4331892a256a54ec620ea0fd2b63561d8d7f2e17585dc038fd0cceb8e547f93e2284e53028ed
diff --git a/games-action/dxx-rebirth/dxx-rebirth-0.61.0_pre20230627.ebuild b/games-action/dxx-rebirth/dxx-rebirth-0.61.0_pre20240630.ebuild
index f022d180f36a..f6d44fc7f1d5 100644
--- a/games-action/dxx-rebirth/dxx-rebirth-0.61.0_pre20230627.ebuild
+++ b/games-action/dxx-rebirth/dxx-rebirth-0.61.0_pre20240630.ebuild
@@ -3,8 +3,8 @@
EAPI=8
-PYTHON_COMPAT=( python3_{10..11} )
-MY_COMMIT="ad9452d51b7ccd7d2ad7fe56318f21898a3c2d43"
+PYTHON_COMPAT=( python3_{10..12} )
+MY_COMMIT="27cbf1ba87e6d60809c43246e2eef760fcd26d13"
# Games under Gentoo are marked as 'testing' by convention
#
@@ -48,7 +48,7 @@ IUSE="+d1x +d2x +data debug editor +flac ipv6 +joystick l10n_de +midi +mp3 +musi
#
# PNG support enables writing screenshots as PNG instead of TGA (for
# USE=opengl) or PCX (for USE=-opengl).
-DEPEND="dev-games/physfs[hog,mvl,zip]
+DEPEND=">=dev-games/physfs-3[hog,mvl,zip]
opengl? (
virtual/opengl
virtual/glu )
diff --git a/games-action/dxx-rebirth/dxx-rebirth-9999.ebuild b/games-action/dxx-rebirth/dxx-rebirth-9999.ebuild
index cf5dcadba953..07770afca75a 100644
--- a/games-action/dxx-rebirth/dxx-rebirth-9999.ebuild
+++ b/games-action/dxx-rebirth/dxx-rebirth-9999.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
MY_COMMIT=""
# Games under Gentoo are marked as 'testing' by convention
@@ -48,7 +48,7 @@ IUSE="+d1x +d2x +data debug editor +flac ipv6 +joystick l10n_de +midi +mp3 +musi
#
# PNG support enables writing screenshots as PNG instead of TGA (for
# USE=opengl) or PCX (for USE=-opengl).
-DEPEND="dev-games/physfs[hog,mvl,zip]
+DEPEND=">=dev-games/physfs-3[hog,mvl,zip]
opengl? (
virtual/opengl
virtual/glu )
diff --git a/games-action/extreme-tuxracer/Manifest b/games-action/extreme-tuxracer/Manifest
index 5e49d40ee85e..f8480c162d01 100644
--- a/games-action/extreme-tuxracer/Manifest
+++ b/games-action/extreme-tuxracer/Manifest
@@ -1 +1,2 @@
DIST extreme-tuxracer-0.8.2.tar.xz 40828312 BLAKE2B dfc550457ac37f4aa0c649e1368610eb417e450eea454ed20dd57d7799f376714531861da69683ea1437f222ebd18acd8ccb14c5ce97c9225185d5bf6c8ef49d SHA512 572b494e82f00853b38b3913f0ef34d0a5c0b6655626fa6c72c76f7a41f723ff6fc3c20ca54d835ed5dba462f22896882e9c37ddf5b3e840ea14af3d336addb8
+DIST extreme-tuxracer-0.8.4.tar.xz 40862904 BLAKE2B 4e49f2d3912a91bb9866a42361e919c474c4e9190bae3b6eaa1d568e628958c3aaf735a190128ca4335a40220f6d15186c515c93a7eaa7f17121a81a826feb20 SHA512 65d54bfef59cf83eec9ee761ac24c728d3118cf47105920f22057b59425eba65e03967196d4a93039f30b9420e67b10f296ec7deed7e506ad78c7bb5ce5ed0d2
diff --git a/games-action/extreme-tuxracer/extreme-tuxracer-0.8.4.ebuild b/games-action/extreme-tuxracer/extreme-tuxracer-0.8.4.ebuild
new file mode 100644
index 000000000000..da4778f4f9f0
--- /dev/null
+++ b/games-action/extreme-tuxracer/extreme-tuxracer-0.8.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools desktop xdg
+
+DESCRIPTION="High speed arctic racing game based on Tux Racer"
+HOMEPAGE="https://sourceforge.net/p/extremetuxracer/wiki/Home/"
+SRC_URI="https://download.sourceforge.net/extremetuxracer/etr-${PV}.tar.xz -> ${P}.tar.xz"
+S="${WORKDIR}/etr-${PV/_/}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=media-libs/libsfml-2.4:0=
+ virtual/glu
+ virtual/opengl
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+ # kind of ugly in there so we'll do it ourselves
+ sed -i -e '/SUBDIRS/s/resources doc//' Makefile.am || die
+ eautoreconf
+}
+
+src_install() {
+ default
+ dodoc doc/{code,courses_events,guide,score_algorithm}
+ doicon -s 64 resources/etr.png
+ doicon -s scalable resources/etr.svg
+ domenu resources/net.sourceforge.extremetuxracer.desktop
+}
diff --git a/games-action/violetland/files/violetland-0.5-boost1.85.patch b/games-action/violetland/files/violetland-0.5-boost1.85.patch
new file mode 100644
index 000000000000..8382122c0ccf
--- /dev/null
+++ b/games-action/violetland/files/violetland-0.5-boost1.85.patch
@@ -0,0 +1,8 @@
+https://bugs.gentoo.org/932778
+--- a/src/game/Highscores.cpp
++++ b/src/game/Highscores.cpp
+@@ -107,3 +107,3 @@
+ boost::filesystem::copy_file(hsTempFile, hsFile,
+- boost::filesystem::copy_option::overwrite_if_exists);
++ boost::filesystem::copy_options::overwrite_existing);
+ boost::filesystem::remove(hsTempFile);
diff --git a/games-action/violetland/violetland-0.5.ebuild b/games-action/violetland/violetland-0.5.ebuild
index 21c08d426767..2db7c5ac14cf 100644
--- a/games-action/violetland/violetland-0.5.ebuild
+++ b/games-action/violetland/violetland-0.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -28,6 +28,10 @@ BDEPEND="
sys-devel/gettext
"
+PATCHES=(
+ "${FILESDIR}"/${P}-boost1.85.patch
+)
+
src_prepare() {
cmake_src_prepare